import 'package:flutter/material.dart';
import 'package:gg_basewidget/gg_basewidget.dart';

class BaseWidgetDemo extends StatefulWidget{
  @override
  _BaseWidgetDemoState createState() => _BaseWidgetDemoState();
}

class _BaseWidgetDemoState extends GG_BaseState<BaseWidgetDemo>{

@override
void initState() {
    // TODO: implement initState
    super.initState();
    isLoading = true;
    error = false;
    dataArray = ['ssss', 'ssss'];
    title = '我的订单';
    navColor = Color.fromRGBO(19, 191, 142, 1);
    tipTitle = '提示信息';
    tipContent = '暂无数据~';
    isShowErrorButton = true;
    errorButtonText = '再来一次';
  }

  @override
  Widget buildBody(BuildContext context) {
    print('分页数量大小：${count}');
    print('分页开始：${start}');
    print('是否加载过数据：${isLoading}');
    print('是否加载数据出错：${error}');
    return Scaffold(
      appBar: AppBar(
        title: Text(title??''),
        backgroundColor: navColor,
      ),
      body: Center(
        child: FlatButton(
          child: Text('点我报错'),
          onPressed: (){
            setState(() {
              error = true;
              dataArray = [];
            });
          },
        )
      ),
    );
  }

  @override
  void dggReloadData() {
    print('重新加载页面数据');
    setState(() {
      error = false;
    });
  }
}